ExtUtils::ParseXS::Node(3p)

NAME
ExtUtils::ParseXS::Node - Classes for nodes of an ExtUtils::ParseXS AST

SYNOPSIS
XXX TBC

DESCRIPTION
XXX Sept 2024: this is Work In Progress. This API is currently private and subject to change. Most of ParseXS doesn't use an AST, and instead maintains just enough state to emit code as it parses. This module represents the start of an effort to make it use an AST instead.

An "ExtUtils::ParseXS::Node" class, and its various subclasses, hold the state for the nodes of an Abstract Syntax Tree (AST), which represents the parsed state of an XS file.

Each node is basically a hash of fields. Which field names are legal varies by the node type. The hash keys and values can be accessed directly: there are no getter/setter methods.